Bug 479769 - ratpoison fails to start up with font load error
ratpoison fails to start up with font load error
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ratpoison (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: John Berninger
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-12 18:32 EST by Jack Lloyd
Modified: 2009-12-18 02:35 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:35:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jack Lloyd 2009-01-12 18:32:30 EST
Description of problem:

Installed ratpoison-1.4.1-2.fc9.i386 via Yum (though this is a FC10 install; it's not clear to me if the package was just not updated from FC9 or if yum gave me a bogus package). Attempting to run it, it fails due to being unable to load a font (it is not clear if the error is that it cannot find the font or if it finds the font but encounters some problem in processing it).

Version-Release number of selected component (if applicable):

ratpoison-1.4.1-2.fc9.i386

How reproducible:

Always

Steps to Reproduce:
1. Run ratpoison from xterm, or select via gdm session and look in .xsession-errors
2.
3.
  
Actual results:

ratpoison: Cannot load font -*-fixed-bold-r-normal-*-15-*-*-*-c-*-*-*.

Expected results:

ratpoison would start (or, in the case of running from an xterm, perhaps quit with an error about not being able to take over the screen from the already running wm)

Additional info:

I've installed every font package that seems reasonably likely.

I noticed in the man page that you can set an alternate font in ~/.ratpoinsonrc, which I attempted to do, but strace indicates it exits as above without ever reading this file.
Comment 1 Bug Zapper 2009-11-18 05:44:35 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-12-18 02:35:49 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.